## kodi-pvr-stalker 19.0.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.stalker)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(
        ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
        ${PROJECT_SOURCE_DIR}/lib
        ${LIBXML2_INCLUDE_DIR}
        ${JSONCPP_INCLUDE_DIRS})

if(WIN32)
  add_compile_options(/wd4996)
endif()

add_subdirectory(lib/libstalkerclient)

set(DEPLIBS
        stalkerclient
        ${LIBXML2_LIBRARIES}
        ${JSONCPP_LIBRARIES})

set(BASE_SOURCES
        src/base/Cache.cpp)

set(SOURCES
        src/ChannelManager.cpp
        src/CWatchdog.cpp
        src/GuideManager.cpp
        src/HTTPSocket.cpp
        src/SAPI.cpp
        src/SData.cpp
        src/SessionManager.cpp
        src/Utils.cpp
        src/XMLTV.cpp)

set(STALKER_SOURCES
        ${BASE_SOURCES}
        ${SOURCES})

set(STALKER_HEADERS
        src/ChannelManager.h
        src/CWatchdog.h
        src/Error.h
        src/GuideManager.h
        src/HTTPSocket.h
        src/SAPI.h
        src/SData.h
        src/SessionManager.h
        src/Settings.h
        src/Utils.h
        src/XMLTV.h
        src/base/Cache.h
        src/base/ChannelManager.h
        src/base/GuideManager.h)

build_addon(pvr.stalker STALKER DEPLIBS)

include(CPack)

## kodi-pvr-stalker 7.1.0+ds1

=== debian/changelog ===
kodi-pvr-stalker (7.1.0+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 13:29:06 -0700

kodi-pvr-stalker (7.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:04 +0000

kodi-pvr-stalker (7.0.0+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Jan 2021 11:21:11 +0000

=== debian/control ===
Source: kodi-pvr-stalker
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libjsoncpp-dev,
                    libxml2-dev,
                    zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker.git
Homepage: https://kodi.tv

Package: kodi-pvr-stalker
Architecture: any
Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: Stalker Middleware PVR client addon for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the Stalker Middleware PVR (Personal Video Recorder)
 addon for Kodi, the award winning free and open source software
 media-player and entertainment hub for all your digital media.

## kodi-pvr-stalker 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-stalker (19.0.0+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:59 +0000

kodi-pvr-stalker (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:11 +0000

kodi-pvr-stalker (7.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.1+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:33:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: kodi-pvr-stalker
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libjsoncpp-dev,
-                    libxml2-dev,
-                    zlib1g-dev
-Standards-Version: 4.5.1
+               dh-sequence-kodiaddon,
+               kodi-addons-dev (>= 2:19~),
+               libjsoncpp-dev,
+               libxml2-dev,
+               zlib1g-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker.git
@@ -19,7 +19,9 @@
 
 Package: kodi-pvr-stalker
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: Stalker Middleware PVR client addon for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.stalker/releases \
/kodi-pvr/pvr.stalker/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-stalker 19.0.2+ds1

=== debian/changelog ===
kodi-pvr-stalker (19.0.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:59 +0000

kodi-pvr-stalker (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-pvr-stalker
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon,
-               kodi-addons-dev (>= 2:19~),
+               dh-sequence-kodiaddon (>= 2:19~),
                libjsoncpp-dev,
                libxml2-dev,
                zlib1g-dev

## kodi-pvr-stalker 20.2.2+ds1

=== debian/changelog ===
kodi-pvr-stalker (20.2.2+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.2+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:54 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.stalker/releases \
/kodi-pvr/pvr.stalker/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-stalker 20.3.1+ds1

=== lib/libstalkerclient/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(stalkerclient)

find_package(ZLIB REQUIRED)
find_package(LibXml2 REQUIRED)

include_directories(${LIBXML2_INCLUDE_DIR})

set(LIBSTALKER_SOURCES
        identity.c
        itv.c
        list.c
        param.c
        request.c
        stb.c
        util.c
        watchdog.c
        xmltv.c)

add_library(stalkerclient STATIC ${LIBSTALKER_SOURCES})
target_link_libraries(stalkerclient ${ZLIB_LIBRARIES} ${LIBXML2_LIBRARIES})
set_property(TARGET stalkerclient PROPERTY POSITION_INDEPENDENT_CODE ON)

=== debian/changelog ===
kodi-pvr-stalker (20.3.1+ds1-2) unstable; urgency=medium

  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches
  * Add GCC-14 workaround (Closes: #1073303)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Jul 2024 04:11:37 +0000

kodi-pvr-stalker (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1

  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:22 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon (>= 2:19~),
+               dh-sequence-kodiaddon (>= 2:20~),
                libjsoncpp-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.stalker \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-stalker 21.1.2+ds

=== debian/changelog ===
kodi-pvr-stalker (21.1.2+ds-2build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 11:59:29 +0000

kodi-pvr-stalker (21.1.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:12 +0000

kodi-pvr-stalker (21.1.2+ds-1) unstable; urgency=medium

  * New upstream version 21.1.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:40 +0000

kodi-pvr-stalker (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.1+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:32 +0000

## kodi-pvr-stalker 21.1.3+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.stalker)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(
        ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
        ${PROJECT_SOURCE_DIR}/lib
        ${LIBXML2_INCLUDE_DIR}
        ${JSONCPP_INCLUDE_DIRS})

if(MSVC)
  add_compile_options(/wd4996)
  add_compile_definitions(LIBXML_STATIC)
endif()

add_subdirectory(lib/libstalkerclient)

set(DEPLIBS
        stalkerclient
        ${LIBXML2_LIBRARIES}
        ${JSONCPP_LIBRARIES})

set(BASE_SOURCES
        src/stalker/base/Cache.cpp)

set(SOURCES
        src/addon.cpp
        src/StalkerInstance.cpp
        src/stalker/AddonSettings.cpp
        src/stalker/ChannelManager.cpp
        src/stalker/CWatchdog.cpp
        src/stalker/GuideManager.cpp
        src/stalker/HTTPSocket.cpp
        src/stalker/InstanceSettings.cpp
        src/stalker/SAPI.cpp
        src/stalker/SessionManager.cpp
        src/stalker/SettingsMigration.cpp
        src/stalker/Utils.cpp
        src/stalker/XMLTV.cpp)

set(STALKER_SOURCES
        ${BASE_SOURCES}
        ${SOURCES})

set(STALKER_HEADERS
        src/addon.h
        src/StalkerInstance.h
        src/stalker/AddonSettings.h
        src/stalker/ChannelManager.h
        src/stalker/CWatchdog.h
        src/stalker/Error.h
        src/stalker/GuideManager.h
        src/stalker/HTTPSocket.h
        src/stalker/InstanceSettings.h
        src/stalker/SAPI.h
        src/stalker/SessionManager.h
        src/stalker/SettingsMigration.h
        src/stalker/Utils.h
        src/stalker/XMLTV.h
        src/stalker/base/Cache.h
        src/stalker/base/ChannelManager.h
        src/stalker/base/GuideManager.h)

build_addon(pvr.stalker STALKER DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-stalker (21.1.3+ds-1) unstable; urgency=high

  * New upstream version 21.1.3+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon (>= 2:20~),
+               dh-sequence-kodiaddon (>= 2:21~),
                libjsoncpp-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-stalker.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-stalker

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.stalker \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
